Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.parser
Class AcdVarResolve

    java.lang.Object
      |
      +--org.emboss.jemboss.parser.AcdVarResolve

public class AcdVarResolve
extends java.lang.Object

Resolves any variable reference in a string.

Field Summary
`private java.lang.String` | `exp`

Constructor Summary
`AcdVarResolve(java.lang.String exp, java.lang.String val, java.lang.String varName, ParseAcd parseAcd, int nof, TextFieldSink[] textf, TextFieldInt[] textInt, TextFieldFloat[] textFloat, myComboPopup[] fieldOption, javax.swing.JCheckBox[] checkBox)`

Method Summary
`java.lang.String` | `getResult()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exp

    private java.lang.String exp

Constructor Detail

### AcdVarResolve

    public AcdVarResolve(java.lang.String exp,
                         java.lang.String val,
                         java.lang.String varName,
                         ParseAcd parseAcd,
                         int nof,
                         TextFieldSink[] textf,
                         TextFieldInt[] textInt,
                         TextFieldFloat[] textFloat,
                         myComboPopup[] fieldOption,
                         javax.swing.JCheckBox[] checkBox)

Method Detail

### getResult

    public java.lang.String getResult()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD